Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  3d Arc

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   3d Arc (985 mal gelesen)
MonikaB
Mitglied
Metallbauzeichnerin


Sehen Sie sich das Profil von MonikaB an!   Senden Sie eine Private Message an MonikaB  Schreiben Sie einen Gästebucheintrag für MonikaB

Beiträge: 198
Registriert: 28.04.2006

Windows XP (Englisch)
AutoCAD 2007 (Englisch)
SOLID WORKS 2006

erstellt am: 02. Nov. 2006 15:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo

Hat AutoCAD ein tool mit dem man einfach eine 3d Arc (oder Keisbogen) machen kann. denn ich habe in einer 3D Zeichnung mehrere solcher elemente zu Zeichnen.

So das ich einfach meine 3Punkte im Raum anwählen kann und es mir dann den Keisbogen Zeichnet. Denn mit immer eine Arc linie 3D Drehen ist sehr müssam.   (muss rund 150 diese funktion machen)

Gruss

------------------
Moni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

ralficad
Mitglied
Konstrukteur


Sehen Sie sich das Profil von ralficad an!   Senden Sie eine Private Message an ralficad  Schreiben Sie einen Gästebucheintrag für ralficad

Beiträge: 329
Registriert: 25.11.2005

AMD Athlon XP 2800+
2,08 GHz 1,0 GB RAM
WIN XP Prof., SP2<P>ACAD 2005 - nackig, EPT

erstellt am: 02. Nov. 2006 15:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

Die drei Punkte beschreiben doch eindeutig eine Ebene, d.h., du kannst das bks immer so drehen, dass es in jener Ebene liegt. Dann sollt es gehen, weil dann bist du wieder in der xy-ebene, also 2D, und dann funzt es. Vielleicht geht es noch einfacher, mal sehen, was die anderen sagen.

------------------
ralfi 

Man muss das Rad nicht neu erfinden, man muss nur wissen, wie man es dreht.
st.w.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MonikaB
Mitglied
Metallbauzeichnerin


Sehen Sie sich das Profil von MonikaB an!   Senden Sie eine Private Message an MonikaB  Schreiben Sie einen Gästebucheintrag für MonikaB

Beiträge: 198
Registriert: 28.04.2006

Windows XP (Englisch)
AutoCAD 2007 (Englisch)
SOLID WORKS 2006

erstellt am: 02. Nov. 2006 15:18    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ja ist eine möglichkeit,
ober mein Ziel ist es das zu machen ohne irgend etwas zu ändern.
So das ich nur 3 punkte wählen muss und fertig.

------------------
Moni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 02. Nov. 2006 15:24    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von MonikaB:
Ja ist eine möglichkeit,
ober mein Ziel ist es das zu machen ohne irgend etwas zu ändern.
So das ich nur 3 punkte wählen muss und fertig.

..na dann bleibt bloß ne Programmierung, das nach deiner Punktwahl den Rest automatisiert ...

------------------
  - Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Werner-Maahs.de
Mitglied
CAD-Dozent + Konstrukteur + Autor


Sehen Sie sich das Profil von Werner-Maahs.de an!   Senden Sie eine Private Message an Werner-Maahs.de  Schreiben Sie einen Gästebucheintrag für Werner-Maahs.de

Beiträge: 626
Registriert: 04.05.2005

Win XP
AC 2005/6
AC 2013

erstellt am: 03. Nov. 2006 14:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

Wie Cadmium schon sagte: ohne Programmierung geht es nicht.
Ist aber auch keine besonders aufwendige Programmierung. Nur sollte man bei der späteren Punktauswahl bedenken, dass auch ein 2D-Objekt wie der Bogen eine Z-Richtung besitzt, was z.B. ei einer möglichen späteren Verbindung mit anderen Objekten ein Rolle spielen kann.

Hier mal einen nicht getesteten Ansatz:

Code:

(defun c:3DB ( / P1 P2 P3 )   ;3DBogen
(setq P1 (getpoint "\n Startpunkt: ")
      P2 (getpoint P1 "\n Endpunkt: ")
      P3 (getpoint P1 "\n Punkt auf Bogen: "))
(command "BKS" "3" P1 P2 P3)
(setq P1 (trans P1 0 1)
      P2 (trans P2 0 1)
      P3 (trans P3 0 1))
(command "Bogen" P1 P3 P2
         "BKS" "Vorher")
)


Den Code-Text inklusive Klammern in einer Textdatei schreiben, der Textdatei die Endung .LSP geben und einmal in die aktuelle Zeichnung laden. Zum Zeichnen des Bogens den dann neuen Befehl 3DB eingeben und wie gewohnt den Eingabeaufforderungen folgen.

Wie geschrieben ungetestet, sollte aber funktionieren.

------------------
strukturiertes Zeichnen mit www.Werner-Maahs.de

Code geändert!

[Diese Nachricht wurde von Werner-Maahs.de am 03. Nov. 2006 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

spider_dd
Mitglied



Sehen Sie sich das Profil von spider_dd an!   Senden Sie eine Private Message an spider_dd  Schreiben Sie einen Gästebucheintrag für spider_dd

Beiträge: 1010
Registriert: 27.11.2003

Win 10Pro
Intel(R) Core(TM) i7-7700
NVIDIA Quadro P1000
ACAD, Civil-3D 2018

erstellt am: 03. Nov. 2006 15:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

Hallo Werner,

so wie Du den Code geschrieben hast geht es nicht, "BKS" "3" ... setzt 0,0,0 des BKS auf P1, der Bogem wird dann mit den Punkten P1 ... P3 im BKS gezeichnet und landet damit irgendwo!
Zum zeichnen des Bogens müssen die Punkte P1 ... P3, die ja in WKS Koordinaten (bzw. den des gerade aktuellen Koordinatensystems vorliegen) noch ins neue BKS transponiert werden (p1 = 0,0,0  P2 = Abstand p1-p2,0,0  P3 = xneu, yneu (über Dreiecksbeziehungen berechenbar), 0).

lg
Thomas

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Werner-Maahs.de
Mitglied
CAD-Dozent + Konstrukteur + Autor


Sehen Sie sich das Profil von Werner-Maahs.de an!   Senden Sie eine Private Message an Werner-Maahs.de  Schreiben Sie einen Gästebucheintrag für Werner-Maahs.de

Beiträge: 626
Registriert: 04.05.2005

Win XP
AC 2005/6
AC 2013

erstellt am: 03. Nov. 2006 16:32    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich


3DB.lsp.txt

 
Danke Thomas,
habe den Code angepaßt und als Anhang gespeichert

------------------
strukturiertes Zeichnen mit www.Werner-Maahs.de

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

CAD-Huebner
Ehrenmitglied V.I.P. h.c.
Verm.- Ing., ATC-Trainer



Sehen Sie sich das Profil von CAD-Huebner an!   Senden Sie eine Private Message an CAD-Huebner  Schreiben Sie einen Gästebucheintrag für CAD-Huebner

Beiträge: 9554
Registriert: 01.12.2003

AutoCAD 2.5 - 2017, Civil 3D, MAP 3D, LDD, MDT, ARD
Inventor AIP 4-201x
Win7x64, Win 10

erstellt am: 03. Nov. 2006 16:36    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

hier mal eine gestestete Version
die auch richtigen Überlegungen von Spider_dd berücksichtigt.
Code:

(defun c:3DBogen ( / P1 P2 P3 WKS_P1 WKS_P2 WKS_P3)  ;3DBogen
; für CAD.de - www.CAD-Huebner.de  3.11.06
 
  ; Abfrage der Bogenpunkte in BKS Koordinaten
  ; Punkte dürfen NICHT auf einer Geraden liegen
  (setq P1 (getpoint "\n Startpunkt: ")
        P2 (getpoint P1 "\n Punkt auf Bogen: ")
        P3 (getpoint P1 "\n Endpunkt: ")
  )
  ; Umrechnung der BKS Punkte in WKS Koodinaten
  (setq WKS_P1 (TRANS P1 1 0)
        WKS_P2 (TRANS P2 1 0)
        WKS_P3 (TRANS P3 1 0)
  )
  ; BKS neu setzen
  (command "_UCS" "_3P" P1 P3 P2)
  (command "_ARC"
         (TRANS WKS_P1 0 1)
         (TRANS WKS_P2 0 1)
         (TRANS WKS_P3 0 1)
  )
  ; vorheriges BKS restaurieren
  (command "_UCS" "_Previous")
)

[EDIT]
Da war Werner ja wenige Minuten schneller.
Meine Version läuft dafür auch auf Monikas englischer AutoCAD Version.
Außerdem muss das aktuelle BKS beim Befehlsstart nicht WKS sein.
[/EDIT]

------------------
Mit freundlichem Gruß

Udo Hübner

[Diese Nachricht wurde von CAD-Huebner am 03. Nov. 2006 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

TheWalrus
Mitglied
Ingenieur


Sehen Sie sich das Profil von TheWalrus an!   Senden Sie eine Private Message an TheWalrus  Schreiben Sie einen Gästebucheintrag für TheWalrus

Beiträge: 410
Registriert: 28.02.2006

erstellt am: 04. Nov. 2006 07:07    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für MonikaB 10 Unities + Antwort hilfreich

Hallo Moni,
auch wenh du die Lösung schon hast, von mir noch Senf dazu. Wir müssen ähnlich arbeiten und haben uns für die 3D-Bögen ein kleines Lisp geschrieben. Für uns ist es aber nur der 1.Schritt, weil die arcs eigentlich Bestandteil von Geländemodellen werden sollen, die keine Bögen, Kreise, Ellipsen, Splines enthalten dürfen. Wir wenden dann im Bedarfsfall noch ein Lisp PEDIT3D von scj http://www.black-cad.de/  an, welches die gekrümmten Objekte linearisiert und mit den anschließenden Objekten zu 3D-Polylinien vereinigt. Kleine Lücken werden dabei geschlossen. Falls du's nicht brauchst - macht nix, 's braucht vielleicht jemand anders.
Gruß aus der Börde
Bruno

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

MonikaB
Mitglied
Metallbauzeichnerin


Sehen Sie sich das Profil von MonikaB an!   Senden Sie eine Private Message an MonikaB  Schreiben Sie einen Gästebucheintrag für MonikaB

Beiträge: 198
Registriert: 28.04.2006

Windows XP (Englisch)
AutoCAD 2007 (Englisch)
SOLID WORKS 2006

erstellt am: 06. Nov. 2006 10:50    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo

Sorry das ich mich erst jetzt Melde. (war im Urlaub)
Super Tool von Werner & Udo.

Ist wieder einmal genau was ich so lange gesucht habe.
besten Dank

Gruss

------------------
Moni

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz